Strumenti di amministrazione remota per Windows 7

Per facilitare la gestione remota del server, è possibile scaricare e installare Strumenti di amministrazione remota del server per Windows® 7 nei computer che eseguono Windows 7.

Informazioni su Strumenti di amministrazione remota del server

È possibile installare Strumenti di amministrazione nei computer che eseguono il sistema operativo Windows 7 e utilizzare Strumenti di amministrazione per la gestione di tecnologie specifiche su computer che eseguono Windows Server® 2008 R2, Windows Server 2008 o, in alcuni casi, Windows Server 2003.

Strumenti di amministrazione include il supporto per la gestione remota di computer che eseguono un'installazione Server Core di Windows Server 2008 R2 o Windows Server 2008. Tuttavia, non è possibile installare Strumenti di amministrazione remota del server per Windows 7 su una qualsiasi versione del sistema operativo Windows Server.

Strumenti di amministrazione sono protetti per impostazione predefinita. Con la configurazione predefinita di Strumenti di amministrazione vengono aperte solo le porte e attivati solo i servizi e le eccezioni del firewall richiesti per il funzionamento della gestione remota.

Requisiti di sistema

È possibile installare Strumenti di amministrazione remota del server per Windows 7 sui computer che eseguono le edizioni Professional, Enterprise o Ultimate di Windows 7.

Strumenti di amministrazione remota del server per Windows 7 viene eseguito sulle edizioni di Windows 7 basate su x86 e x64, e può essere utilizzato per la gestione dei ruoli e delle funzionalità eseguite con le opzioni di installazione Server Core o complete del sistema operativo Windows Server 2008 R2 basato su x64. La gestione remota è supportata anche per alcuni ruoli e funzionalità che si eseguono su Windows Server 2008 o Windows Server 2003.

Strumenti di amministrazione remota del server per Windows 7 non dovrebbe essere installato su un computer dove si esegue Strumenti di amministrazione di Windows Server 2003 o Strumenti di amministrazione di Windows 2000 Server®. Rimuovere tutte le versioni di Strumenti di amministrazione o di Strumenti di amministrazione remota del server di Microsoft Windows Vista SP1 dal computer prima di installare Strumenti di amministrazione remota del server per Windows 7.

Vedere anche

  • Installazione o rimozione di Strumenti di amministrazione remota per Windows 7
  • Strumenti di amministrazione remota del server
  • Gestione remota del server con Strumenti di amministrazione


Installazione o rimozione di Strumenti di amministrazione remota per Windows 7

Strumenti di amministrazione remota del server per Windows® 7 è un insieme di strumenti per la gestione remota che può essere scaricato e installato in computer che eseguono Windows 7. Al termine del download del pacchetto, è possibile installare Strumenti di amministrazione facendo doppio clic sul pacchetto scaricato nel computer e seguendo i passaggi dell'installazione guidata.

Prerequisiti per l'installazione di Strumenti di amministrazione

È possibile installare Strumenti di amministrazione solo in computer che eseguono Windows 7.

Strumenti di amministrazione deve essere installato solo per eseguire attività amministrative su computer che eseguono Windows Server® 2008 R2, Windows Server 2008 o Windows Server 2003.

È necessario essere membri del gruppo Administrators sul computer in cui si desidera installare Strumenti di amministrazione oppure è necessario effettuare l'accesso al computer con l'account predefinito Administrator.

In questo argomento

Come installare Strumenti di amministrazione

Come reinstallare o rimuovere Strumenti di amministrazione

Come rimuovere Strumenti di amministrazione

Come installare Strumenti di amministrazione

È possibile installare Strumenti di amministrazione solo in computer che eseguono le edizioni Professional, Enterprise o Ultimate di Windows 7.

Importante
  • Rimuovere tutte le versioni di Strumenti di amministrazione o di Strumenti di amministrazione remota del server prima di installare Strumenti di amministrazione remota del server per Windows 7.
  • È possibile installare in un computer solo una sola copia alla volta di Strumenti di amministrazione remota del server per Windows 7. Prima di installare un nuovo pacchetto, rimuovere eventuali copie esistenti di Strumenti di amministrazione remota del server per Windows 7, anche le copie in lingue diverse. Per rimuovere le copie esistenti di Strumenti di amministrazione remota del server per Windows 7, vedere Come rimuovere Strumenti di amministrazione in questo argomento.
  • Per installare Strumenti di amministrazione utilizzando l'interfaccia di Windows

  • Per installare Strumenti di amministrazione utilizzando la riga di comando

Per installare Strumenti di amministrazione utilizzando l'interfaccia di Windows

  1. Scaricare Strumenti di amministrazione dal sito Web Microsoft (http://go.microsoft.com/fwlink/?LinkID=137379) (informazioni in lingua inglese).

  2. Aprire la cartella in cui è stato scaricato Strumenti di amministrazione e fare doppio clic sul pacchetto per aprire i file e avviare l'Installazione guidata Strumenti di amministrazione server remoto.

    Nota

    Per installare Strumenti di amministrazione è necessario accettare le Condizioni di licenza e la Garanzia limitata.

  3. Completare tutti i passaggi della procedura guidata. Al termine, fare clic su Fine per chiudere la procedura.

  4. Scegliere Start, Pannello di controllo e Programmi.

  5. Nell'area Programmi e funzionalità fare clic su Attivazione o disattivazione delle funzionalità Windows.

    Se in Controllo account utente viene richiesto di consentire l'apertura della finestra di dialogo Funzionalità Windows, scegliere Continua.

  6. Nella finestra di dialogo Funzionalità Windows espandere Strumenti di amministrazione remota del server.

  7. Selezionare gli strumenti di gestione remota da installare, quindi fare clic su OK.

  8. Configurare il menu Start per la visualizzazione del collegamento a Strumenti di amministrazione, se non è già presente.

    1. Fare clic con il pulsante destro del mouse su Start, quindi selezionare Proprietà.

    2. Nella scheda Menu Start, fare clic su Personalizza.

    3. Nella finestra di dialogo Personalizzazione menu Start, scorrere fino a Strumenti di amministrazione sistema, quindi selezionare Visualizza nel menu Tutti i programmi e nel menu Start. Scegliere OK.

      I collegamenti per gli snap-in installati da Strumenti di amministrazione remota del server per Windows 7 vengono aggiunti all'elenco Strumenti di amministrazione nel menu Start.

Per installare Strumenti di amministrazione utilizzando la riga di comando

  1. Scaricare Strumenti di amministrazione dal sito Web Microsoft (http://go.microsoft.com/fwlink/?LinkID=137379) (informazioni in lingua inglese).

    Prendere nota della posizione in cui si scarica il pacchetto, perché questa directory dovrà essere modificata nella parte successiva della procedura, al fine di proseguire con l'installazione di Strumenti di amministrazione.

  2. Nel computer su cui è in esecuzione Windows 7, aprire una sessione di prompt dei comandi con diritti utente elevati, facendo clic su Start, Tutti i programmi, Accessori, Prompt dei comandi, quindi selezionando Esegui come amministratore.

  3. Inserire la directory in cui è stato scaricato il pacchetto Strumenti di amministrazione, digitare una delle seguenti, a seconda dell'architettura del proprio computer, quindi premere Invio per eseguire l'installazione di Strumenti di amministrazione.

    • Windows6.1-KB958830-x86.msu /quiet

    • Windows6.1-KB958830-x64.msu /quiet

  4. Dopo aver installato il pacchetto Strumenti di amministrazione, visualizzare gli ID di comando degli strumenti che si desidera attivare digitando quanto segue, quindi premere Invio. Cercare i nomi delle funzionalità che iniziano con RemoteServerAdministrationTools.

    dism /online /get-features

    Nota

    L'utilità riga di comando DISM rispetta le maiuscole/minuscole. Nei comandi di installazione o rimozione assicurarsi di utilizzare il nome esatto della funzionalità, mantenendo le lettere maiuscole/minuscole.

  5. Nella sessione di Prompt dei comandi, per attivare gli strumenti di amministrazione remota utilizzare un comando con il seguente formato. I nomi degli strumenti possono essere nidificati in una gerarchia multilivello di nodi padre, annotare la relazione dello strumento che si desidera installare rispetto ai suoi nodi padre nei risultati del passaggio 4.

    dism /online /enable-feature /featurename:RemoteServerAdministrationTools /featurename:RemoteServerAdministrationTools-<feature-parent (se applicabile)> /featurename:RemoteServerAdministrationTools-<feature-parent (se applicabile)>-<feature-name>

    Nell'esempio seguente, l'amministratore installa la console Gestione server su un computer che esegue Windows 7. Gestione server possiede solo il nodo padre di RemoteServerAdministrationTools.

    dism /online /enable-feature /featurename:RemoteServerAdministrationTools /featurename:RemoteServerAdministrationTools-ServerManager

    Nell'esempio seguente, l'amministratore installa lo snap-in della gestione ruoli del Server DNS.

    dism /online /enable-feature /featurename:RemoteServerAdministrationTools /featurename:RemoteServerAdministrationTools-Roles /featurename:RemoteServerAdministrationTools-Roles-DNS

    Nell'esempio seguente, l'amministratore installa lo snap-in della funzionalità di Gestione criteri di gruppo.

    dism /online /enable-feature /featurename:RemoteServerAdministrationTools /featurename:RemoteServerAdministrationTools-Features /featurename:RemoteServerAdministrationTools-Features-GP

Come reinstallare o rimuovere Strumenti di amministrazione

Se Strumenti di amministrazione è stato disinstallato da un computer che esegue Windows 7, può essere reinstallato procedendo come segue. Nella riga di comando, è possibile disabilitare contemporaneamente tutti gli strumenti, oppure degli strumenti specifici.

  • Per reinstallare o rimuovere strumenti di amministrazione remota individuali utilizzando l'interfaccia di Windows

  • Per disabilitare gli strumenti utilizzando la riga di comando

Per reinstallare o rimuovere strumenti di amministrazione remota individuali utilizzando l'interfaccia di Windows

  1. Scegliere Start, Pannello di controllo e Programmi.

  2. Nell'area Programmi e funzionalità fare clic su Attivazione o disattivazione delle funzionalità Windows.

    Se in Controllo account utente viene richiesto di consentire l'apertura della finestra di dialogo Funzionalità Windows, scegliere Continua.

  3. Nella finestra di dialogo Funzionalità Windows espandere Strumenti di amministrazione remota del server.

  4. Selezionare gli strumenti di gestione remota da installare o deselezionare le caselle di controllo associate a qualsiasi strumento da rimuovere, quindi fare clic su OK.

Per disabilitare gli strumenti utilizzando la riga di comando

  1. Nel computer su cui è in esecuzione Windows 7, aprire una sessione di prompt dei comandi con diritti utente elevati, facendo clic su Start, Tutti i programmi, Accessori, Prompt dei comandi, quindi selezionando Esegui come amministratore.

  2. Digitare il comando con il seguente formato, quindi premere Invio.

    dism /online /disable-feature /featurename:RemoteServerAdministrationTools-<feature-parent (se applicabile)>-<feature-name>

    Nell'esempio seguente, l'amministratore disabilita lo snap-in della funzionalità di Gestione criteri di gruppo.

    dism /online /disable-feature /featurename:RemoteServerAdministrationTools-Features-GP

    Nell'esempio seguente, l'amministratore disabilita la console Gestione server.

    dism /online /disable-feature /featurename:RemoteServerAdministrationTools-ServerManager

    Nell'esempio seguente, l'amministratore disabilita lo snap-in del Server DNS.

    dism /online /disable-feature /featurename:RemoteServerAdministrationTools-Roles-DNS

    Nota

    Per ottenere gli ID di comando, vedere il passaggio 4 della procedura Per installare Strumenti di amministrazione utilizzando la riga di comando.

Come rimuovere Strumenti di amministrazione

È possibile rimuovere Strumenti di amministrazione dal computer utilizzando l'utilità Disinstalla un programma nel Pannello di controllo o una sessione di prompt dei comandi.

  • Per rimuovere Strumenti di amministrazione utilizzando l'interfaccia di Windows

  • Per rimuovere Strumenti di amministrazione utilizzando la riga di comando

Per rimuovere Strumenti di amministrazione utilizzando l'interfaccia di Windows

  1. Scegliere Start, Pannello di controllo, quindi fare clic su Disinstalla un programma nell'area Programmi.

  2. Fare clic su Visualizza aggiornamenti installati.

  3. Selezionare Aggiornamento per Microsoft Windows (958830).

  4. Scegliere Disinstalla.

Per rimuovere Strumenti di amministrazione utilizzando la riga di comando

  1. Nel computer su cui è in esecuzione Windows 7, aprire una sessione di prompt dei comandi con diritti utente elevati, facendo clic su Start, Tutti i programmi, Accessori, Prompt dei comandi, quindi selezionando Esegui come amministratore.

  2. Trovare il nome del pacchetto Strumenti di amministrazione digitando quanto segue e premendo Invio.

    dism /online /Get-Packages

    Nei risultati dei comandi, cercare il nome del pacchetto contenente il testo RemoteServerAdministrationTools.

  3. Digitare quanto segue, quindi premere Invio per rimuovere il pacchetto dal computer, dove Nome rappresenta il nome intero del pacchetto ottenuto nel passaggio 2, compreso il numero di versione e le informazioni sull'architettura.

    dism /online /Remove-Package /PackageName:<Nome>

Vedere anche

  • Strumenti di amministrazione remota per Windows°7


Strumenti di amministrazione remota del server

Quando si installa Strumenti di amministrazione remota del server per Windows® 7 in un computer che esegue Windows 7, selezionare i ruoli, ruoli server e funzionalità che si desidera gestire sui computer remoti che eseguono Windows Server® 2008 R2, Windows Server 2008, o Windows Server 2003.

Al termine dell'installazione di Strumenti di amministrazione, sul computer saranno disponibili vari snap-in e strumenti per la gestione di ruoli, ruoli server e funzionalità corrispondenti.

Strumenti di amministrazione remota disponibili

Per Windows 7 i seguenti strumenti sono disponibili per l'installazione insieme a Strumenti di amministrazione.

Nota

Quando si installano gli strumenti per specifici ruoli, ruoli server e funzionalità da Strumenti di amministrazione, viene installato solo un insieme degli snap-in e degli strumenti di gestione remota di tali ruoli, ruoli server e funzionalità installati in altri computer. Con l'installazione di Strumenti di amministrazione non vengono installati ruoli o funzionalità nel computer locale.

Strumenti di amministrazione remota del server per i ruoli

Ruolo o tecnologia Strumenti di amministrazione server remoto Descrizione

Strumenti per Servizi certificati Active Directory®

Strumenti per Servizi certificati Active Directory include gli snap-in Autorità di certificazione, Modelli di certificato, Infrastruttura a chiave pubblica dell'organizzazione e Gestione risponditore in linea.

Servizi dei domini Active Directory (AD DS) e Strumenti Active Directory Lightweight Directory Services (AD LDS)

Servizi dei domini Active Directory include Utenti e computer di Active Directory, Domini e trust di Active Directory, Siti e servizi di Active Directory, Centro di amministrazione di Active Directory, strumenti di Server per NIS (Network Information Service), il modulo Windows PowerShell per Active Directory e altri snap-in e strumenti da riga di comando per la gestione remota di Servizi dei domini Active Directory.

Strumenti Active Directory Lightweight Directory Services include Siti e servizi di Active Directory, Modifica ADSI, Gestione schema e altri snap-in e strumenti da riga di comando per la gestione di Active Directory Lightweight Directory Services.

Strumenti per Server per NIS include un'estensione dello snap-in Utenti e computer di Active Directory e lo strumento da riga di comando ypclear.exe.

Strumenti per Server DHCP

Strumenti per Server DNS include la console gestione DHCP e lo strumento da riga di comando netsh.

Strumenti per Server DNS

Strumenti per Server DNS include lo snap-in Gestore DNS e lo strumento da riga di comando dnscmd.exe.

Strumenti per Servizi file

Strumenti per Servizi file include quanto segue:

  • Strumenti per File system distribuito (DFS) include lo snap-in Gestione DFS e gli strumenti da riga di comando dfsradmin.exe, dfsrdiag.exe, dfscmd.exe, dfsdiag.exe e dfsutil.exe.

  • Strumenti per Gestione risorse file server include lo snap-in Gestione risorse file server e gli strumenti da riga di comando dirquota.exe, filescrn.exe e storrept.exe.

  • Strumenti per Gestione condivisione e archiviazione include lo snap-in Gestione condivisione e archiviazione.

Strumenti di Hyper-V™

Strumenti di Hyper-V include lo snap-in Gestione Hyper-V e lo strumento di accesso remoto di Virtual Machine Connection.

Strumenti per servizio desktop remoto

Strumenti per servizio desktop remoto include gli snap-in Gestione Servizi Desktop remoto e Desktop remoto.

Gestione server

Gestione server include la console Gestione server.

Strumenti di amministrazione remota del server per le funzionalità

Funzionalità di Strumenti di amministrazione server remoto | Descrizione
Visualizzatore password di ripristino BitLocker di Active Directory | Il Visualizzatore password di ripristino BitLocker di Active Directory è un'estensione per lo snap-in di Microsoft Management Console (MMC) per Utenti e computer di Active Directory. Utilizzando questo strumento, è possibile aprire la finestra di dialogo Proprietà di un oggetto computer per visualizzare le corrispondenti password di ripristino di BitLocker.
Strumenti per Clustering di failover | Strumenti per Clustering di failover include lo snap-in Gestione cluster di failover, gli strumenti Windows PowerShell per la gestione di Clustering di failover e lo strumento da riga di comando cluster.exe.
Strumenti per Gestione Criteri di gruppo | Strumenti per Gestione Criteri di gruppo include Console Gestione Criteri di gruppo, Editor Gestione Criteri di gruppo ed Editor oggetto Criteri di gruppo Starter per Criteri di gruppo.
Strumenti per Bilanciamento carico di rete | Strumenti per Bilanciamento carico di rete include lo snap-in Gestione bilanciamento carico di rete, gli strumenti Windows PowerShell per la gestione di Bilanciamento carico di rete e gli strumenti da riga di comando nlb.exe e wlbs.exe.
Strumenti per Server SMTP | Strumenti per Server SMTP include lo snap-in Simple Mail Transport Protocol (SMTP).
Strumenti di Esplora archivi | Strumenti di Esplora archivi include lo snap-in di Esplora archivi.
Strumenti per Gestione archivi SAN | Strumenti per Gestione archivi SAN include lo snap-in Gestione archivi SAN e lo strumento da riga di comando provisionstorage.exe.
Strumenti per Gestione risorse di sistema Windows | Strumenti per Gestione risorse di sistema Windows include lo snap-in Gestione risorse di sistema Windows e lo strumento da riga di comando wsrmc.exe.


Gestione remota del server con Strumenti di amministrazione

In questo argomento viene descritto come aprire e utilizzare gli snap-in e gli strumenti installati con Strumenti di amministrazione server remoto per Windows® 7 per gestire ruoli e funzionalità installati in altri computer.

Apertura degli snap-in per l'amministrazione remota

Per aprire uno snap-in installato con Strumenti di amministrazione server remoto per Windows 7, procedere come segue.

Per aprire uno snap-in per l'amministrazione remota

  1. Dal menu Start scegliere Strumenti di amministrazione, quindi fare clic sullo snap-in da aprire.

    Se lo snap-in richiesto non è elencato in Strumenti di amministrazione, aggiungerlo a Microsoft Management console (MMC). Fare clic su Start, digitare mmc nella casella di testo Inizia ricerca, quindi premere Invio per aprire MMC. Nel menu File della nuova MMC, fare clic su Aggiungi/Rimuovi snap-in per selezionare lo snap-in desiderato. Per ulteriori informazioni su come aggiungere uno snap-in a MMC, vedere la Guida di MMC.

  2. Selezionare il computer su cui si desidera gestire ruoli, servizi ruolo o funzionalità utilizzando il comando appropriato dal menu Azione o dal riquadro Azioni. In genere il comando è denominato Connetti a un altro computer o altro nome simile.

  3. Nella finestra di dialogo Seleziona computer eseguire una delle operazioni seguenti.

    • Digitare il nome o l'indirizzo IP di un computer che esegue Windows Server 2008 R2, Windows Server 2008 o Windows Server 2003, in cui è installato il ruolo o la funzionalità da gestire.

    • Scegliere Sfoglia per selezionare il computer in cui è installato il ruolo o la funzionalità da gestire.

  4. Scegliere OK per chiudere la finestra di dialogo Cerca computer.

  5. Scegliere OK per chiudere la finestra di dialogo Seleziona computer.

Per informazioni sulle singole attività e considerazioni sulla gestione, consultare la Guida relativa al ruolo o alla funzionalità che si desidera gestire in maniera remota.

Opzioni avanzate per l'esecuzione di Server Manager su Windows 7

Strumenti di amministrazione remota per Windows 7 include Gestione server per gestire ruoli e funzionalità su un computer che esegue le opzioni di installazione complete o Server Core di Windows Server 2008 R2. Per gestire in maniera remota un computer utilizzando Gestione server, collegare Gestione server a un computer remoto con la stessa procedura per la connessione degli snap-in di Microsoft Management console (MMC) per altre tecnologie.

È necessario essere membri del gruppo Administrators sui computer remoti che si desidera gestire mediante Gestione server. Per eseguire Gestione server su Windows 7 e assegnarlo a un server che esegue Windows Server 2008 R2, seguire la procedura di questa sezione.

Per maggiori informazioni su come eseguire Gestione server assegnato ai computer remoti, vedere Remote Management with Server Manager (http://go.microsoft.com/fwlink/?LinkId=137378) nella Guida di Gestione server (informazioni in lingua inglese).

Per eseguire Server Manager su Windows 7

  1. Sul computer remoto che si desidera gestire, aprire Gestione server. Per aprire Gestione server, fare clic su Start, scegliere Strumenti di amministrazione e quindi fare clic su Gestione server.

  2. Nell'area Riepilogo server, fare clic su Configura gestione remota di Server Manager.

  3. Selezionare Consenti gestione remota del server da altri computer. Scegliere OK.

  4. Installare Strumenti di amministrazione remota del server per Windows 7 su un computer che esegue Windows 7 come illustrato in Installazione o rimozione di Strumenti di amministrazione remota per Windows 7.

  5. Nel computer su cui è in esecuzione Windows 7, aprire una sessione di prompt dei comandi con diritti utente elevati, facendo clic su Start, Tutti i programmi, Accessori, Prompt dei comandi, quindi selezionando Esegui come amministratore.

  6. Avviare il servizio Gestione remota Windows (WinRM). Digitare quanto segue, quindi premere Invio.

    net start winrm

  7. Sul computer remoto che esegue Windows 7, aprire Gestione server. Fare clic su Start, scegliere Strumenti di amministrazione e quindi Server Manager.

    Nota

    A seconda della configurazione del menu Start su Windows 7, gli Strumenti di amministrazione potrebbero trovarsi nel Pannello di controllo.

  8. Fare clic con il pulsante destro del mouse sul nodo Server Manager nella parte superiore del riquadro dell'albero, quindi scegliere Connetti a un altro computer.

  9. Digitare il nome del computer che esegue Windows Server 2008 R2 che è stato preparato per la gestione remota nei passaggi da 1 a 3 di questa procedura.

Utilizzo degli strumenti da riga di comando per l'amministrazione remota

Per utilizzare uno strumento da riga di comando di Strumenti di amministrazione per l'amministrazione remota di un elemento ruolo, servizio ruolo o funzionalità su un altro computer, procedere come segue.

Per utilizzare uno strumento da riga di comando per l'amministrazione remota

  1. Scegliere Start, fare clic con il pulsante destro del mouse su Prompt dei comandi, quindi fare clic su Esegui come amministratore per aprire una finestra Prompt dei comandi con diritti elevati.

    Nota

    Se manca il collegamento Prompt dei comandi sul menu di Start, fare clic su Start, Tutti i programmi, Accessori, quindi fare clic con il pulsante destro del mouse su Prompt dei comandi e quindi su Esegui come amministratore.

  2. Se in Controllo account utente viene richiesto di consentire l'esecuzione della finestra Prompt dei comandi come amministratore, scegliere Continua.

  3. Immettere il comando nella finestra Prompt dei comandi, quindi premere Invio.

    Potrebbe essere necessario specificare il computer in cui è in esecuzione l'elemento ruolo, servizio ruolo o funzionalità da gestire. Per ottenere la sintassi corretta per specificare il computer da gestire nella riga di comando, digitare nome_comando /?, dove nome_comando deve essere sostituito dal nome del comando da utilizzare.

Vedere anche

  • Strumenti di amministrazione remota per Windows 7